Update Site Feature Settings

Update Site Feature Settings
Update site specific settings for individual features running on SSP.

Update the site settings for activated SSP features for a specific site. These settings are created and configured during the onboarding workflow. Configuring settings here DOES NOT control the deployment or undeployment of the feature on the platform, it only configures the feature settings for a feature for this specific site.

Notes:

  • Although all site feature settings are returned, not all of the settings are editable via API.
Request
URI
PUT
https://{api_host}/ssp/sites/{site-id}/settings
COPY
Path Parameters
string
site-id
Required  

The site ID for which feature settings are being updated.


Request Body

The desired feature settings for the site.

SiteFeatureSettings of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineSiteFeatureSettings1
{
    "_revision": 0,
    "is_metrics_enabled": false
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SiteFeatureSettings of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineSiteFeatureSettings1
{
    "_resource_type": "SiteFeatureSettings",
    "_revision": 0,
    "id": "2dc09816-34c0-43fb-99a6-b19b249a43da",
    "site_ids": [
        "2dc09816-34c0-43fb-99a6-b19b249a43da"
    ],
    "is_intelligence_enabled": false,
    "is_metrics_enabled": true,
    "is_mps_enabled": false,
    "is_ndr_enabled": false,
    "is_rule_analysis_enabled": false
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 200001,
    "error_message": "An internal server error occurred.",
    "module_name": "site"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/sites/{site-id}/settings